=== debian/changelog ===
ntopng (1.1+dfsg2-2) unstable; urgency=medium

  * Fix build-flags.patch causing FTBFS (Closes: #754502).

 -- Ludovico Cavedon <cavedon@debian.org>  Sun, 27 Jul 2014 15:19:52 -0700

ntopng (1.1+dfsg2-1) unstable; urgency=medium

  * Initial upload (Closes: #714820).
  * Remove unsed files without source from orig tarball.
  * Minify jquery and boostrap during build process.
  * Include missing sources for minified javascript. Use system libjs-rickshaw.
  * Fix lintian missing-source warnings.

 -- Ludovico Cavedon <cavedon@debian.org>  Sun, 13 Apr 2014 16:25:14 -0700

ntopng (1.1+dfsg1-1) unstable; urgency=medium

  * Update Standards-Version to 3.9.5.
  * Repackage orig tarball removing precompiled binaries, non-dfsg-compatile
    files, and other temporary files.
  * Remove currenlty unused dependencies on libjs*.
  * Fix building arch-dependent packages only.
  * Adjust path of pidfile.

 -- Ludovico Cavedon <cavedon@debian.org>  Sun, 29 Dec 2013 22:50:40 -0800

ntopng (1.1-1) unstable; urgency=low

  * Initial release (Closes: #714820).

 -- Ludovico Cavedon <cavedon@debian.org>  Sun, 17 Nov 2013 15:03:26 -0800
