## ntopng 1.2.1+dfsg1

=== debian/changelog ===
ntopng (1.2.1+dfsg1-2ubuntu1) wily; urgency=medium

  * Build-depend on pkg-config to fix FTBFS.

 -- Logan Rosen <logan@ubuntu.com>  Wed, 21 Oct 2015 01:02:11 -0400

ntopng (1.2.1+dfsg1-2) unstable; urgency=low

  * Fix FTBFS due to coffee invocation (Closes: #790091).
  * Update Standards-Version to 3.9.6.
  * Use ntopng configuration file /etc/ntopng.conf instead of
    /etc/default/ntopng.

 -- Ludovico Cavedon <cavedon@debian.org>  Sun, 26 Oct 2014 20:49:24 -0700

ntopng (1.2.1+dfsg1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop unused build-depends on libgnutls-dev. Closes: #764105

 -- Andreas Metzler <ametzler@debian.org>  Sat, 11 Oct 2014 11:51:05 +0200

ntopng (1.2.1+dfsg1-1) unstable; urgency=medium

  * Imported Upstream version 1.2.1+dfsg1 (Closes: #760990, CVE-2014-5464,
    CVE-2014-5511, CVE-2014-5512, CVE-2014-5513, CVE-2014-5514,
    CVE-2014-5515).
  * Remove patches merged upstream: build-flags.patch, libndpi-external.patch,
    manpage.patch, no-svn.patch, path-defaults.patch, remove-libs.patch, and
    rickshaw.patch.
  * Add no-librt.patch to avoid not needed linking against librt.
  * Fix typos in copyright and removed stanzas for removed files.

 -- Ludovico Cavedon <cavedon@debian.org>  Tue, 09 Sep 2014 21:57:04 -0700

ntopng (1.2.0+dfsg1-1) unstable; urgency=medium

  * Imported Upstream version 1.2.0+dfsg1 (Closes: CVE-2014-4329).
  * Update watch rule for new upstream naming convention.
  * get-roig-source: Support both +svn and ~svn in version.
  * Remove external hiredis from orig tarball.
  * Remove Rickshaw from orig tarball.
  * Remove documentation without source from orig tarball and insert an http
  * Remove corrupted unused serializeCFJSON-0.1.js from orig tarball.
    link to it in README.Debian.
  * Remove nDPI from orig tarball.
  * Remove all debian/missing-sources files that are now included not-minified
    by upstream. Remove build-deps on node-uglify and cleancss.
  * Remove references to third-party/redis-lua (removed upstream).
  * Update copyright.
  * Refresh patches and remove those merged upstream.
  * Add external-hiredis.patch to use system libhiredis.
  * Add rickshaw-keep-one.patch to remove references to additional rickshaw
    library.
  * Add no-svn.patch to drop requirement on SVN.
  * Add manpage.patch to fix usage of minus signs, hyphens, and dashes,
    missing space and line breaks.
  * Add rickshaw.patch to use single rickshaw.{css,js} files.
  * Split library removing part of build-flags.patch into remove-libs.patch.
  * Rename debian-defaults.patch to path-defaults.patch and use installation
    path from configure.
  * Use dh-autoreconf instead of autotools-dev.
  * Add build-dep on libsqlite3-dev.
  * Update build-dep on newer libndpi-dev.
  * Cleanup of dh_install rules.
  * Fix typo in font-awesome symlink path and remove and updates symlink links
    in ntopng-data/
  * Remove executable bit to non executable files.
  * Use system linjs-jquery tablesorter and form.
  * Add Build-Dep on libhiredis-dev.
  * Remove empty httpdocs/ssl directory.
  * Add systemd support.
  * Stop supporting ENABLED in /etc/default/ntopng and debian/NEWS to notify
    users.

 -- Ludovico Cavedon <cavedon@debian.org>  Sun, 27 Jul 2014 16:13:47 -0700
