=== debian/control ===
--- 
+++ 
@@ -1,21 +1,24 @@
 Source: ntopng
 Section: net
 Priority: extra
-Maintainer: Ludovico Cavedon <cavedon@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ludovico Cavedon <cavedon@debian.org>
 Build-Depends: debhelper (>= 9.0.0),
-               autotools-dev,
-               cleancss,
+               dh-autoreconf,
+               dh-systemd (>= 1.5),
+               dpkg (>= 1.15.7.2),
                coffeescript,
                libgeoip-dev,
-               libgnutls-dev,
+               libhiredis-dev,
                libjson-c-dev,
                libluajit-5.1-dev,
-               libndpi-dev (>= 1.4.0+svn6932),
+               libndpi-dev (>= 1.4.0+svn8032),
                libpcap-dev,
                librrd-dev,
+               libsqlite3-dev,
                libzmq3-dev,
-               node-uglify
-Standards-Version: 3.9.5
+               pkg-config
+Standards-Version: 3.9.6
 Homepage: http://www.ntop.org/products/ntop/
 Vcs-Git: git://anonscm.debian.org/collab-maint/ntopng.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/ntopng.git;a=summary
@@ -86,7 +89,8 @@
 
 Package: ntopng-data
 Architecture: all
-Depends: ${misc:Depends}, fonts-font-awesome, libjs-rickshaw
+Depends: ${misc:Depends}, fonts-font-awesome, libjs-rickshaw,
+         libjs-jquery-form, libjs-jquery-tablesorter
 Recommends: ntopng (= ${binary:Version})
 Description: High-Speed Web-based Traffic Analysis and Flow Collection Tool (data files)
  ntopng is the next generation version of the original ntop, a network
