## ntopng 2.2%2Bdfsg1

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,11 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
-	dh $@ --with autoreconf,systemd
+	dh $@ --with systemd
+
+override_dh_auto_configure:
+	./autogen.sh
+	dh_auto_configure
 
 override_dh_auto_build:
 	dh_auto_build
@@ -20,10 +24,14 @@
 	dh_strip --dbg-package=ntopng-dbg
 
 override_dh_install-indep:
-	dh_install --indep --exclude=redis.lua --exclude=font-awesome \
-	    --exclude=.source-map.js --exclude=README.gauge
+	dh_install --indep \
+	    --exclude=.source-map.js \
+	    --exclude=README.gauge \
+	    --exclude=font-awesome \
+	    --exclude=redis.lua
+	rm -fr $(CURDIR)/debian/ntopng-data/usr/share/ntopng/httpdocs/bootstrap
 	find $(CURDIR)/debian/ntopng-data/usr/share -type f -exec chmod a-x {} \;
-	rmdir $(CURDIR)/debian/ntopng-data/usr/share/ntopng/httpdocs/ssl || true
+	rm -fr $(CURDIR)/debian/ntopng-data/usr/share/ntopng/httpdocs/ssl
 
 override_dh_install-arch:
 	dh_install --arch
@@ -71,6 +79,7 @@
 	rm -fr get-orig-source/*/httpdocs/bootstrap_3
 	rm -fr get-orig-source/*/httpdocs/css/Rickshaw
 	rm -fr get-orig-source/*/httpdocs/js/Rickshaw
+	rm -fr get-orig-source/*/httpdocs/js/handlebars-1.0.0.0.beta.6.js
 	rm -fr get-orig-source/*/httpdocs/js/serializeCFJSON-0.1.js
 	rm -fr get-orig-source/*/third-party/LuaJIT-*
 	rm -fr get-orig-source/*/third-party/hiredis
@@ -79,11 +88,11 @@
 	rm -fr get-orig-source/*/third-party/zeromq-*
 	# Remove unused nDPI library
 	rm -fr get-orig-source/*/nDPI
-	# Remove pre-compiled and auotmatically generated files
+	# Remove pre-compiled and automatically generated files
 	find get-orig-source/ '(' -name .libs -or -name .svn -or \
 	    -name autom4te.cache ')' -prune -exec rm -fr {} \;
 	find get-orig-source/*/third-party/EWAHBoolArray/ \
-	    -type f -perm /111 -delete
+	    -type f -perm /111 -delete || true
 	find get-orig-source/ '(' \
 	    -name '*.a' -or -name '*.la' -or \
 	    -name '*.o' -or -name '*.lo' -or \
@@ -94,8 +103,12 @@
 	rm -f get-orig-source/*/httpdocs/js/highlight.min.js
 	rm -f get-orig-source/*/httpdocs/js/prettify.js
 	rm -f get-orig-source/*/httpdocs/css/prettify.css
+	rm -f get-orig-source/*/httpdocs/js/pdfmake.js
+	rm -f get-orig-source/*/httpdocs/js/vfs_fonts.js
 	# Remove documentation without source.
 	rm -fr get-orig-source/*/doc/UserGuide.*
+	# Remove .git tree.
+	rm -fr get-orig-source/*/.git
 endif
 ifneq ($(or $(findstring +dfsg,$(SRC_VERSION)), $(findstring +dfsg,$(SRC_VERSION))),)
 	# Need to create orig tarball.
