## ntopng 2.2+dfsg1

=== debian/changelog ===
ntopng (2.2+dfsg1-1build1) xenial; urgency=medium

  * Rebuild against libmysqlclient20.

 -- Robie Basak <robie.basak@ubuntu.com>  Thu, 31 Mar 2016 13:43:44 +0000

ntopng (2.2+dfsg1-1) unstable; urgency=high

  * Imported Upstream version 2.2+dfsg1, including fix for CVE-2015-8368
    (Closes: #816190).
  * get-orig-source: do not fail if EWAHBoolArray is missing.
  * Refresh patches.
  * Add Build-Depends on libmysqlclient-dev.
  * Add Build-Depends on libndpi >= 1.7.1~.
  * Update copyright.
  * Add no-detectxsslib.patch to prevent use of non-GPL-compatible detectxsslib.
  * Add lintian-override for some missing-source false positives.
  * Remove unused handlebars-1.0.0.0.beta.6.js without source from orig tarball.
  * Use https for Vcs links.
  * Update copyright.

 -- Ludovico Cavedon <cavedon@debian.org>  Sat, 12 Mar 2016 18:50:05 -0800

ntopng (2.0+dfsg1-1) unstable; urgency=medium

  * Imported Upstream version 2.0+dfsg1
  * Add Build-Dep on pkg-config (Closes: #797777).
  * Refresh patches.
  * Update build dependecies to libndpi-dev >= 1.6 and libcurl-gnutls-dev.
  * Update doc path location in upstream tarball.
  * Add use-system-ndpi.patch for using system libndpi.
  * Drop usage of dh_autoreconf and invoke upstream's autogen.sh
  * Remove .git tree when creating repackaged upstream tarball.
  * Update copyright for new sources.
  * Use system libjs-boostrap.
  * Add no-pwd.patch avoiding use of the PWD environment variable during build.
  * Use system boostrap.
  * Remove pdfmake.js and vfs_fonts.js from upstream tarball as they are not
    used and do nto have sources.

 -- Ludovico Cavedon <cavedon@debian.org>  Sun, 20 Sep 2015 01:53:02 -0700
