=== debian/control ===
--- 
+++ 
@@ -1,27 +1,29 @@
 Source: ntopng
 Section: net
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Ludovico Cavedon <cavedon@debian.org>
-Build-Depends: debhelper (>= 9.0.0),
-               dh-autoreconf,
+Maintainer: Ludovico Cavedon <cavedon@debian.org>
+Build-Depends: autoconf,
+               automake,
+               debhelper (>= 9.0.0),
                dh-systemd (>= 1.5),
                dpkg (>= 1.15.7.2),
                coffeescript,
+               libcurl4-gnutls-dev,
                libgeoip-dev,
                libhiredis-dev,
                libjson-c-dev,
                libluajit-5.1-dev,
-               libndpi-dev (>= 1.4.0+svn8032),
+               libmysqlclient-dev,
+               libndpi-dev (>= 1.7.1~),
                libpcap-dev,
                librrd-dev,
                libsqlite3-dev,
                libzmq3-dev,
-               pkg-config
+               pkg-config,
 Standards-Version: 3.9.6
 Homepage: http://www.ntop.org/products/ntop/
-Vcs-Git: git://anonscm.debian.org/collab-maint/ntopng.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/ntopng.git;a=summary
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/ntopng.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/ntopng.git;a=summary
 
 Package: ntopng
 Architecture: any
@@ -89,8 +91,12 @@
 
 Package: ntopng-data
 Architecture: all
-Depends: ${misc:Depends}, fonts-font-awesome, libjs-rickshaw,
-         libjs-jquery-form, libjs-jquery-tablesorter
+Depends: fonts-font-awesome,
+         libjs-bootstrap,
+         libjs-rickshaw,
+         libjs-jquery-form,
+         libjs-jquery-tablesorter,
+         ${misc:Depends},
 Recommends: ntopng (= ${binary:Version})
 Description: High-Speed Web-based Traffic Analysis and Flow Collection Tool (data files)
  ntopng is the next generation version of the original ntop, a network
