=== debian/watch ===
version=3
opts="uversionmangle=s/_r?[0-9]*//,dversionmangle=s/\+(dfsg|repack)\d*$//" \
      http://sf.net/ntop/ntopng-([0-9].*)\.(?:tar\.gz|tgz)
