## ntopng 2.4+dfsg1

=== debian/changelog ===
ntopng (2.4+dfsg1-4) unstable; urgency=medium

  * Add CVE-2017-7458.patch to prevent an empty host to crash ntopng
    (Closes: #866721, CVE-2017-7458).
  * Add CVE-2017-7459.patch to prevent \r\n from being injected into HTTP URIs
    (Closes: #866719, CVE-2017-7459).
  * Add gcc-7.patch to fix FTBFS with gcc 7 (Closes: #853578).
  * Update Check-for-presence-of-crsf-in-admin-scripts.patch to avoid the
    'Missing CSRF parameter' error (Closes: #856048).
  * Add Avoid-access-after-free.patch and
    Avoid-access-to-unintialized-memory.patch to fix crash with mysql (thanks
    to Bernhard Übelacker, Closes: #859653).
  * Add redis-server in the Required fields of the SysVinit script
    (LP: #1437835).

 -- Ludovico Cavedon <cavedon@debian.org>  Sun, 03 Sep 2017 21:12:05 +0200

ntopng (2.4+dfsg1-3) unstable; urgency=high

  * Import upstream patches fixing CVE-2017-5473. (Closes: #852109)

 -- Ludovico Cavedon <cavedon@debian.org>  Fri, 03 Feb 2017 19:43:00 -0800

ntopng (2.4+dfsg1-2) unstable; urgency=high

  * Let systemd guess the main PID of ntopng (Closes: #849210).
  * Add Multi-Arch: foreign to ntopng-data (Closes: #848152).

 -- Ludovico Cavedon <cavedon@debian.org>  Sat, 24 Dec 2016 16:04:10 +0100

ntopng (2.4+dfsg1-1) unstable; urgency=medium

  * Update watch file to remove -stable from version.
  * Imported Upstream version 2.4+dfsg1.
  * Update dependency on libndpi 1.8.
  * Update Standards-Version to 3.9.8.
  * Migrate to ntopng-dbgsym.
  * Remove no-detectxsslib.patch (merged upstream).
  * Refresh pacthes.
  * Include all relevant upstream READMEs in docs.
  * Update copyright.
  * Change build dependecy from libmysqlclient-dev to
    default-libmysqlclient-dev (Closes: #845881).
  * Remove no longer needed lintian override.
  * Add dependecy on lsb-base for SysV init script.
  * Add reproducible-build.patch, thanks to Chris Lamb (Closes: #831346).

 -- Ludovico Cavedon <cavedon@debian.org>  Sat, 10 Dec 2016 21:51:33 -0800

ntopng (2.2+dfsg1-2) unstable; urgency=medium

  * Add kfreebsd-tap.patch to fix FTBFS on kfreebsd (thanks to
    Steven Chamberlain) (Closes: #818799).
  * Update Standards-Version to 3.9.7.
  * Add Documentation links to systemd unit.

 -- Ludovico Cavedon <cavedon@debian.org>  Sat, 02 Apr 2016 19:34:12 -0700
