=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Ludovico Cavedon <cavedon@debian.org>
 Build-Depends: autoconf,
                automake,
-               debhelper (>= 9.0.0),
+               debhelper (>= 9.20160114),
                dh-systemd (>= 1.5),
                dpkg (>= 1.15.7.2),
                coffeescript,
@@ -13,22 +13,26 @@
                libhiredis-dev,
                libjson-c-dev,
                libluajit-5.1-dev,
-               libmysqlclient-dev,
-               libndpi-dev (>= 1.7.1~),
+               default-libmysqlclient-dev,
+               libndpi-dev (>= 1.8),
                libpcap-dev,
                librrd-dev,
                libsqlite3-dev,
                libzmq3-dev,
                pkg-config,
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://www.ntop.org/products/ntop/
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/ntopng.git
 Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/ntopng.git;a=summary
 
 Package: ntopng
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ntopng-data (= ${source:Version}),
- redis-server (>= 2.6)
+Depends:
+    ${misc:Depends},
+    ${shlibs:Depends},
+    lsb-base (>= 3.0-6),
+    ntopng-data (= ${source:Version}),
+    redis-server (>= 2.6),
 Suggests: geoip-database-contrib (>= 1.12)
 Description: High-Speed Web-based Traffic Analysis and Flow Collection Tool
  ntopng is the next generation version of the original ntop, a network
@@ -66,31 +70,9 @@
     with nProbe
   * Produce HTML5/AJAX network traffic statistics
 
-Package: ntopng-dbg
-Section: debug
-Architecture: any
-Depends: ${misc:Depends}, ntopng (= ${binary:Version})
-Description: High-Speed Web-based Traffic Analysis and Flow Collection Tool (debug symbols)
- ntopng is the next generation version of the original ntop, a network
- traffic probe that shows the network usage, similar to what the popular
- top Unix command does. ntop is based on libpcap and it has been written
- in a portable way in order to virtually run on every Unix platform,
- MacOSX and on Win32 as well.
- .
- ntopng users can use a web browser to navigate through ntop (that acts as a
- web server) traffic information and get a dump of the network status. In the
- latter case, ntop can be seen as a simple RMON-like agent with an embedded web
- interface. The use of:
- .
-  * a web interface
-  * limited configuration and administration via the web interface
-  * reduced CPU and memory usage (they vary according to network size and
-  traffic)
- .
- This package contains the debug symbols for the ntopng daemon.
-
 Package: ntopng-data
 Architecture: all
+Multi-Arch: foreign
 Depends: fonts-font-awesome,
          libjs-bootstrap,
          libjs-rickshaw,
