=== debian/rules ===
--- 
+++ 
@@ -21,7 +21,7 @@
 override_dh_auto_install:
 
 override_dh_strip:
-	dh_strip --dbg-package=ntopng-dbg
+	dh_strip --dbgsym-migration='ntopng-dbg (<< 2.4+dfsg1-1~)'
 
 override_dh_install-indep:
 	dh_install --indep \
