=== debian/changelog ===
ntopng (3.2+dfsg1-1) unstable; urgency=medium

  * New upstream version 3.2 (Closes: #878129, #866722, #878123).
  * Update watch file for github.
  * Use pkg-info.mk for parsing changelog and remove legacy SVN code.
  * Remove no longer necessary lines from repackging script.
  * Keep internal libluajit, as upstream pacthed it.
  * Do not remove UserGuide.*, and register UserGuide.pdf with doc-base and
    include it in the desktop file Documentation entry.
  * Make sure we rebuild the minified files from the upstream tarball.
  * Update copyright file.
  * Remove patches applied upstream:
    - Added-fixes-to-avoid-users-to-be-manipulated-with-in.patch
    - Avoid-access-after-free.patch
    - Avoid-access-to-unintialized-memory.patch
    - CVE-2017-7458.patch
    - CVE-2017-7459.patch
    - Check-for-presence-of-crsf-in-admin-scripts.patch
    - gcc-7.patch
  * Refresh patches.
  * Fix Documentation entry in systemd service file (Closes: #854694).
  * Replace priority extra with optional.
  * Make sure ntopng-add-user.sh is executable.
  * Update list of documentation/README files and move them into ntopng-data.
  * Build-Depend on libcap-dev.
  * Build-Depend on debhelper >= 9.20160709 instead of dh-systemd.
  * Bump Standards-Version to 4.1.2.
  * Use EtherOUI.txt file from libwireshark-data.
  * Update source lintian-overrides about source-is-missing false positives
    for js files.
  * Add missing symlink to fontawesome-webfont.woff2.

 -- Ludovico Cavedon <cavedon@debian.org>  Wed, 27 Dec 2017 01:13:57 +0100
