=== debian/control ===
--- 
+++ 
@@ -1,26 +1,27 @@
 Source: ntopng
 Section: net
-Priority: extra
+Priority: optional
 Maintainer: Ludovico Cavedon <cavedon@debian.org>
 Build-Depends: autoconf,
                automake,
-               debhelper (>= 9.20160114),
-               dh-systemd (>= 1.5),
+               coffeescript,
+               debhelper (>= 9.20160709),
+               default-libmysqlclient-dev,
                dpkg (>= 1.15.7.2),
-               coffeescript,
+               libcap-dev,
                libcurl4-gnutls-dev,
                libgeoip-dev,
                libhiredis-dev,
                libjson-c-dev,
-               libluajit-5.1-dev,
-               default-libmysqlclient-dev,
-               libndpi-dev (>= 1.8),
+               libndpi-dev (>= 2.2),
                libpcap-dev,
                librrd-dev,
                libsqlite3-dev,
                libzmq3-dev,
+               node-source-map,
+               node-uglify,
                pkg-config,
-Standards-Version: 3.9.8
+Standards-Version: 4.1.2
 Homepage: http://www.ntop.org/products/ntop/
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/ntopng.git
 Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/ntopng.git;a=summary
@@ -78,8 +79,11 @@
          libjs-rickshaw,
          libjs-jquery-form,
          libjs-jquery-tablesorter,
+         libwireshark-data,
          ${misc:Depends},
 Recommends: ntopng (= ${binary:Version})
+Breaks: ntopng (<< 3.2)
+Replaces: ntopng (<< 3.2)
 Description: High-Speed Web-based Traffic Analysis and Flow Collection Tool (data files)
  ntopng is the next generation version of the original ntop, a network
  traffic probe that shows the network usage, similar to what the popular
