=== debian/watch ===
version=3
opts="uversionmangle=s/_r?[0-9]*//,dversionmangle=s/\+(dfsg|repack)\d*$//,filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/ntopng-$1\.tar\.gz/" \
     https://github.com/ntop/ntopng/releases .*/(\d\S+)\.tar\.gz
